<template>
    <ContentCard>
        <template #pageHeader>
            <p>Buttons</p>
        </template>
        <div class="button-list-wrapper">
            <h3 class="button-list-header">Regular buttons</h3>
            <div class="button-list">
                <BaseButton type="button" mode="default">Default</BaseButton>
                <BaseButton type="button" mode="primary">Primary</BaseButton>
                <BaseButton type="button" mode="success">Success</BaseButton>
                <BaseButton type="button" mode="danger">Danger</BaseButton>
                <BaseButton type="button" mode="warning">Warning</BaseButton>
                <BaseButton type="button" mode="secondary">Secondary</BaseButton>
            </div>
        </div>

        <div class="button-list-wrapper">
            <h3 class="button-list-header">Disabled buttons</h3>
            <div class="button-list">
                <BaseButton type="button" mode="default" disabled>Default</BaseButton>
                <BaseButton type="button" mode="primary" disabled>Primary</BaseButton>
                <BaseButton type="button" mode="success" disabled>Success</BaseButton>
                <BaseButton type="button" mode="danger" disabled>Danger</BaseButton>
                <BaseButton type="button" mode="warning" disabled>Warning</BaseButton>
                <BaseButton type="button" mode="secondary" disabled>Secondary</BaseButton>
            </div>
        </div>

        <div class="button-list-wrapper">
            <h3 class="button-list-header">Flat buttons</h3>
            <div class="button-list">
                <BaseButton type="button" mode="default" flat>Default</BaseButton>
                <BaseButton type="button" mode="primary" flat>Primary</BaseButton>
                <BaseButton type="button" mode="success" flat>Success</BaseButton>
                <BaseButton type="button" mode="danger" flat>Danger</BaseButton>
                <BaseButton type="button" mode="warning" flat>Warning</BaseButton>
                <BaseButton type="button" mode="secondary" flat>Secondary</BaseButton>
            </div>
        </div>

        <div class="button-list-wrapper">
            <h3 class="button-list-header">Flat buttons disabled</h3>
            <div class="button-list">
                <BaseButton type="button" mode="default" flat disabled>Default</BaseButton>
                <BaseButton type="button" mode="primary" flat disabled>Primary</BaseButton>
                <BaseButton type="button" mode="success" flat disabled>Success</BaseButton>
                <BaseButton type="button" mode="danger" flat disabled>Danger</BaseButton>
                <BaseButton type="button" mode="warning" flat disabled>Warning</BaseButton>
                <BaseButton type="button" mode="secondary" flat disabled>Secondary</BaseButton>
            </div>
        </div>

        <div class="button-list-wrapper">
            <h3 class="button-list-header">Link buttons</h3>
            <div class="button-list">
                <BaseButton link mode="default" to="/">Default</BaseButton>
                <BaseButton link mode="primary" to="/">Primary</BaseButton>
                <BaseButton link mode="success" to="/">Success</BaseButton>
                <BaseButton link mode="danger" to="/">Danger</BaseButton>
                <BaseButton link mode="warning" to="/">Warning</BaseButton>
                <BaseButton link mode="secondary" to="/">Secondary</BaseButton>
            </div>
        </div>

        <div class="button-list-wrapper">
            <h3 class="button-list-header">Link buttons disabled</h3>
            <div class="button-list">
                <BaseButton link mode="default" to="/" disabled>Default</BaseButton>
                <BaseButton link mode="primary" to="/" disabled>Primary</BaseButton>
                <BaseButton link mode="success" to="/" disabled>Success</BaseButton>
                <BaseButton link mode="danger" to="/" disabled>Danger</BaseButton>
                <BaseButton link mode="warning" to="/" disabled>Warning</BaseButton>
                <BaseButton link mode="secondary" to="/" disabled>Secondary</BaseButton>
            </div>
        </div>

        <div class="button-list-wrapper">
            <h3 class="button-list-header">Link flat buttons</h3>
            <div class="button-list">
                <BaseButton link mode="default" to="/" flat>Default</BaseButton>
                <BaseButton link mode="primary" to="/" flat>Primary</BaseButton>
                <BaseButton link mode="success" to="/" flat>Success</BaseButton>
                <BaseButton link mode="danger" to="/" flat>Danger</BaseButton>
                <BaseButton link mode="warning" to="/" flat>Warning</BaseButton>
                <BaseButton link mode="secondary" to="/" flat>Secondary</BaseButton>
            </div>
        </div>

        <div class="button-list-wrapper">
            <h3 class="button-list-header">Link flat buttons disabled</h3>
            <div class="button-list">
                <BaseButton link mode="default" to="/" flat disabled>Default</BaseButton>
                <BaseButton link mode="primary" to="/" flat disabled>Primary</BaseButton>
                <BaseButton link mode="success" to="/" flat disabled>Success</BaseButton>
                <BaseButton link mode="danger" to="/" flat disabled>Danger</BaseButton>
                <BaseButton link mode="warning" to="/" flat disabled>Warning</BaseButton>
                <BaseButton link mode="secondary" to="/" flat disabled>Secondary</BaseButton>
            </div>
        </div>
    </ContentCard>
</template>

<style scoped>
.button-list-wrapper {
    @apply border shadow bg-indigo-50 m-2 p-3;
}

.button-list {
    @apply flex space-x-2 mb-4;
}

.button-list-header {
    @apply font-semibold text-lg mb-2;
}
</style>